package com.sky.ioc.mapper.job;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.QuartzJob;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface QuartzJobMapper extends BaseMapper<QuartzJob> {

    @Select("<script>" +
            " select * from sys_quartz_job where 1=1 " +
            "<if test='name!=null and name!=\"\"'>" +
            " and name like #{name} " +
            "</if>" +
            "<if test='groupName!=null and groupName!=\"\"'>" +
            " and groupName like #{groupName} " +
            "</if>" +
            "<if test='status!=null '>" +
            " and status = #{status} " +
            "</if>" +
            "<if test='pageStart!=null and pageSize!=null '>" +
            "  limit #{pageSize} offset #{pageStart} " +
            "</if>" +
            "</script>")
    List<QuartzJob> pageList(@Param("name") String name, @Param("groupName") String groupName,
                             @Param("status")  Integer status,
                             @Param("pageStart") Integer pageStart,@Param("pageSize")  Integer pageSize);


}
